Module jdk.management
Package com.sun.management

## Interface UnixOperatingSystemMXBean

- All Superinterfaces:
    `OperatingSystemMXBean`, `OperatingSystemMXBean`, `PlatformManagedObject`

      public interface UnixOperatingSystemMXBean
      extends OperatingSystemMXBean

  Platform-specific management interface for the Unix operating system on which the Java virtual machine is running.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getMaxFileDescriptorCount​()` | Returns the maximum number of file descriptors.
    `long` | `getOpenFileDescriptorCount​()` | Returns the number of open file descriptors.

    - ### Methods inherited from interface com.sun.management.OperatingSystemMXBean

      `getCommittedVirtualMemorySize, getFreePhysicalMemorySize, getFreeSwapSpaceSize, getProcessCpuLoad, getProcessCpuTime, getSystemCpuLoad, getTotalPhysicalMemorySize, getTotalSwapSpaceSize`

    - ### Methods inherited from interface java.lang.management.OperatingSystemMXBean

      `getArch, getAvailableProcessors, getName, getSystemLoadAverage, getVersion`

    - ### Methods inherited from interface java.lang.management.PlatformManagedObject

      `getObjectName`

- - ### Method Detail

    - #### getOpenFileDescriptorCount

          long getOpenFileDescriptorCount​()

      Returns the number of open file descriptors.
      Returns:
        the number of open file descriptors.

    - #### getMaxFileDescriptorCount

          long getMaxFileDescriptorCount​()

      Returns the maximum number of file descriptors.
      Returns:
        the maximum number of file descriptors.